program pascalkralj;
var
i,n,k,l,j:integer;
a:array [1..1000000] of int64;
begin
l:=0;
readln(n);
for i:=1 to n do
begin
read(a[i]);
end;
writeln(n);
for i:=1 to n do
begin
if i=n then
write(2)
else
write(23);
end;
end.